Debian Bug report logs - #678645
ITP: creduce -- Test-Case Reduction for C Compiler Bugs

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Matthias Klose <doko@debian.org>

Date: Sat, 23 Jun 2012 13:18:02 UTC

Owned by: Matthias Klose <doko@debian.org>

Severity: wishlist

Fixed in version creduce/2.0.1-1

Done: Matthias Klose <doko@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#678645; Package wnpp. (Sat, 23 Jun 2012 13:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Sat, 23 Jun 2012 13:18:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: creduce -- Test-Case Reduction for C Compiler Bugs
Date: Sat, 23 Jun 2012 15:13:22 +0200
Package: wnpp
Severity: wishlist

* Package name    : creduce
  Version         : 2.0.1
  Upstream Author : The University of Utah
* URL             : http://embed.cs.utah.edu/creduce/
  Description     : Test-Case Reduction for C Compiler Bugs
 C-Reduce is a tool which takes a large C or C++ program that has a
 property of interest (such as triggering a compiler bug) and
 automatically produces a much smaller C/C++ program that has the same
 property.  It is intended for use by people who discover and report
 bugs in compilers and other tools that process C/C++ code.

* License         : University of Illinois Open Source License




Owner recorded as Matthias Klose <doko@debian.org>. Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Sun, 24 Jun 2012 08:21:10 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 15 Jan 2013 19:06:04 GMT) Full text and rfc822 format available.

Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. (Mon, 28 Jan 2013 23:03:05 GMT) Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@debian.org>:
Bug acknowledged by developer. (Mon, 28 Jan 2013 23:03:06 GMT) Full text and rfc822 format available.

Message #14 received at 678645-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 678645-close@bugs.debian.org
Subject: Bug#678645: fixed in creduce 2.0.1-1
Date: Mon, 28 Jan 2013 23:00:04 +0000
Source: creduce
Source-Version: 2.0.1-1

We believe that the bug you reported is fixed in the latest version of
creduce, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 678645@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated creduce package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 28 Jan 2013 19:41:54 +0100
Source: creduce
Binary: creduce
Architecture: source amd64
Version: 2.0.1-1
Distribution: experimental
Urgency: low
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 creduce    - Test-Case Reduction for C Compiler Bugs
Closes: 678645
Changes: 
 creduce (2.0.1-1) experimental; urgency=low
 .
   * Initial release. Closes: #678645.
   * Add a build-using field, as long as clang doesn't provide a complete
     set of shared libraries. See #698247.
Checksums-Sha1: 
 bdd7606615aab015c0ed0c65267f9d343034f3b1 1321 creduce_2.0.1-1.dsc
 b6ccd4eb6e3c9fdcb6bf7b443332ce694c96521c 509604 creduce_2.0.1.orig.tar.gz
 58a1a4366fbc1fa906dc7c05bf578340b562ef9e 54914 creduce_2.0.1-1.debian.tar.gz
 6efb89a4a00b289ab379bca31f49d574013cd533 5179902 creduce_2.0.1-1_amd64.deb
Checksums-Sha256: 
 f6e8f8927785ed589cc3bce48634233038c2dda3d08f8042645f2e6beb51e99a 1321 creduce_2.0.1-1.dsc
 ca06be313cddd85c7501654a767a4a1e7fa096eec5432fda6e478dc10bd39fd8 509604 creduce_2.0.1.orig.tar.gz
 8c03dd6c849984d806252d4429f4c4d98714232c545fbdc13365f5bc962332ab 54914 creduce_2.0.1-1.debian.tar.gz
 c3d38d1063e5be75076d0f5d86b73c06f25e0f2b619d0d7d71db42293bd9cef0 5179902 creduce_2.0.1-1_amd64.deb
Files: 
 839fe22efe72d3b3a696c3a769665400 1321 devel extra creduce_2.0.1-1.dsc
 d941ba28cc43c6432fbca3f3b271353f 509604 devel extra creduce_2.0.1.orig.tar.gz
 118f0c6f98044baede9f69ff650734d1 54914 devel extra creduce_2.0.1-1.debian.tar.gz
 ec84e71f7a237a843bed484d5d706d1f 5179902 devel extra creduce_2.0.1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlEG4kMACgkQStlRaw+TLJx7mACgi9VhTgD6tlCXAjM0TH/1FWhp
Qb0AnisJTzUNqOT9CGJ33J2EzCdRXGV8
=snFk
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Feb 2013 07:26:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 10:53:29 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.